package cokr.xit.fims.sndb.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

import cokr.xit.fims.sndb.SndngHstry;
import cokr.xit.fims.sndb.SndbQuery;
import cokr.xit.fims.sndb.service.SndngHstryService;

/**발송 이력 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-12-20	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("sndngHstryService")
public class SndngHstryServiceBean extends AbstractServiceBean implements SndngHstryService {
	/** 발송 이력 정보 Bean */
	@Resource(name = "sndngHstryBean")
	private SndngHstryBean sndngHstryBean;

	@Override
	public List<DataObject> getSndngHstryList(SndbQuery req) {
		return sndngHstryBean.getSndngHstryList(req);
	}

	@Override
	public List<SndngHstry> getSndngHstrys(SndbQuery req) {
		return sndngHstryBean.getSndngHstrys(req);
	}

	@Override
	public boolean create(SndngHstry sndngHstry) {
		return sndngHstryBean.create(sndngHstry);
	}

	@Override
	public boolean update(SndngHstry sndngHstry) {
		return sndngHstryBean.update(sndngHstry);
	}

	@Override
	public boolean remove(SndngHstry sndngHstry) {
		return sndngHstryBean.remove(sndngHstry);
	}
}
